/* Copyright (c) 2017-2018 Marvin Eagle <trailblazer77_2000@yahoo.com>
 * 
 *		This file is part of Chord Sequencer.
 * 
 * 		Chord Sequencer is a program to create and interactively play
 * 		series of chords in the live performance, controlling chord
 * 		change by pedal (or other similar device). It uses midi and
 * 		must be connected to an external synthesizer. 
 *
 *    Chord Sequencer is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    Chord Sequencer is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *   along with Chord Sequencer.  If not, see <https://www.gnu.org/licenses/>.
 * 
 * 		Author: Marvin Eagle <trailblazer77_2000@yahoo.com>
 * 
*/

#ifndef CUSTOM_RADIO_INNER_H
#define CUSTOM_RADIO_INNER_H
#include "customradiobutton.h"
#include <gtkmm/widget.h>
#include "note.h"

class CustomRadioButton::CustomRadioWidget : public Gtk::Widget// Outer must have been declared before this, in the include
{
public:
	CustomRadioWidget();
	
	bool active;
	int type;
	int name;
protected:
	bool on_draw(const Cairo::RefPtr<Cairo::Context>& cr) override;
	void  draw_text(const Cairo::RefPtr<Cairo::Context>& cr,	const Glib::ustring& text, int x, int y, int size);
	void  draw_sharp(const Cairo::RefPtr<Cairo::Context>& cr, int x, int y, double scale);
	void  draw_double_sharp(const Cairo::RefPtr<Cairo::Context>& cr, int x, int y, double scale);
	void  draw_flat(const Cairo::RefPtr<Cairo::Context>& cr, int x, int y, double scale);
	void  draw_double_flat(const Cairo::RefPtr<Cairo::Context>& cr, int x, int y, double scale);
   Glib::RefPtr<Gdk::Window> m_refGdkWindow;
};
#endif
